# -*- encoding: utf-8 -*-
# stub: cancancan 3.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "cancancan".freeze
  s.version = "3.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alessandro Rodi (Renuo AG)".freeze, "Bryan Rite".freeze, "Ryan Bates".freeze, "Richard Wilson".freeze]
  s.date = "2019-06-28"
  s.description = "Simple authorization solution for Rails. All permissions are stored in a single location.".freeze
  s.email = "alessandro.rodi@renuo.ch".freeze
  s.files = ["cancancan.gemspec".freeze, "init.rb".freeze, "lib/cancan.rb".freeze, "lib/cancan/ability.rb".freeze, "lib/cancan/ability/actions.rb".freeze, "lib/cancan/ability/rules.rb".freeze, "lib/cancan/ability/strong_parameter_support.rb".freeze, "lib/cancan/conditions_matcher.rb".freeze, "lib/cancan/controller_additions.rb".freeze, "lib/cancan/controller_resource.rb".freeze, "lib/cancan/controller_resource_builder.rb".freeze, "lib/cancan/controller_resource_finder.rb".freeze, "lib/cancan/controller_resource_loader.rb".freeze, "lib/cancan/controller_resource_name_finder.rb".freeze, "lib/cancan/controller_resource_sanitizer.rb".freeze, "lib/cancan/exceptions.rb".freeze, "lib/cancan/matchers.rb".freeze, "lib/cancan/model_adapters/abstract_adapter.rb".freeze, "lib/cancan/model_adapters/active_record_4_adapter.rb".freeze, "lib/cancan/model_adapters/active_record_5_adapter.rb".freeze, "lib/cancan/model_adapters/active_record_adapter.rb".freeze, "lib/cancan/model_adapters/conditions_extractor.rb".freeze, "lib/cancan/model_adapters/conditions_normalizer.rb".freeze, "lib/cancan/model_adapters/default_adapter.rb".freeze, "lib/cancan/model_additions.rb".freeze, "lib/cancan/parameter_validators.rb".freeze, "lib/cancan/rule.rb".freeze, "lib/cancan/rules_compressor.rb".freeze, "lib/cancan/unauthorized_message_resolver.rb".freeze, "lib/cancan/version.rb".freeze, "lib/cancancan.rb".freeze, "lib/generators/cancan/ability/USAGE".freeze, "lib/generators/cancan/ability/ability_generator.rb".freeze, "lib/generators/cancan/ability/templates/ability.rb".freeze]
  s.homepage = "https://github.com/CanCanCommunity/cancancan".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.0".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Simple authorization solution for Rails.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<appraisal>.freeze, [">= 2.0.0", "~> 2.0"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 10.1.1", "~> 10.1"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 3.2.0", "~> 3.2"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.63.1"])
    else
      s.add_dependency(%q<appraisal>.freeze, [">= 2.0.0", "~> 2.0"])
      s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
      s.add_dependency(%q<rake>.freeze, [">= 10.1.1", "~> 10.1"])
      s.add_dependency(%q<rspec>.freeze, [">= 3.2.0", "~> 3.2"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0.63.1"])
    end
  else
    s.add_dependency(%q<appraisal>.freeze, [">= 2.0.0", "~> 2.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<rake>.freeze, [">= 10.1.1", "~> 10.1"])
    s.add_dependency(%q<rspec>.freeze, [">= 3.2.0", "~> 3.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.63.1"])
  end
end
